package com.mortals.xhx.module.sst.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sst.model.vo.SstAgreementVo;
/**
* 协议管理实体对象
*
* @author zxfei
* @date 2022-12-26
*/

public class SstAgreementEntity extends SstAgreementVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 协议名称
    */
    private String name;
    /**
    * 协议描述
    */
    private String describe;
    /**
    * 协议内容
    */
    private String content;



    public SstAgreementEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 协议名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 协议名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 协议描述
    * @return String
    */
    public String getDescribe(){
        return describe;
    }
    /**
    * 设置 协议描述
    * @param describe
    */
    public void setDescribe(String describe){
        this.describe = describe;
    }
    /**
    * 获取 协议内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 协议内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SstAgreementEntity) {
            SstAgreementEntity tmp = (SstAgreementEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",name:").append(getName());
        sb.append(",describe:").append(getDescribe());
        sb.append(",content:").append(getContent());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.name = "";

            this.describe = "";

            this.content = "";
    }
}