package com.mortals.xhx.module.sst.model;

import java.util.List;
import com.mortals.xhx.module.sst.model.SstAppsEntity;
/**
* 应用编排查询对象
*
* @author zxfei
* @date 2022-12-26
*/
public class SstAppsQuery extends SstAppsEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 应用名称 */
    private List<String> nameList;

    /** 应用描述 */
    private List<String> describeList;

    /** 应用访问地址 */
    private List<String> urlList;

    /** 开始 是否展示基础应用1是0否 */
    private Integer showBasicStart;

    /** 结束 是否展示基础应用1是0否 */
    private Integer showBasicEnd;

    /** 增加 是否展示基础应用1是0否 */
    private Integer showBasicIncrement;

    /** 是否展示基础应用1是0否列表 */
    private List <Integer> showBasicList;

    /** 开始 基础应用排序号 */
    private Integer basicSortStart;

    /** 结束 基础应用排序号 */
    private Integer basicSortEnd;

    /** 增加 基础应用排序号 */
    private Integer basicSortIncrement;

    /** 基础应用排序号列表 */
    private List <Integer> basicSortList;

    /** 开始 是否展示热门应用1是0否 */
    private Integer showHotStart;

    /** 结束 是否展示热门应用1是0否 */
    private Integer showHotEnd;

    /** 增加 是否展示热门应用1是0否 */
    private Integer showHotIncrement;

    /** 是否展示热门应用1是0否列表 */
    private List <Integer> showHotList;

    /** 开始 热门应用排序号 */
    private Integer hotSortStart;

    /** 结束 热门应用排序号 */
    private Integer hotSortEnd;

    /** 增加 热门应用排序号 */
    private Integer hotSortIncrement;

    /** 热门应用排序号列表 */
    private List <Integer> hotSortList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 应用id */
    private Long appIdStart;

    /** 结束 应用id */
    private Long appIdEnd;

    /** 增加 应用id */
    private Long appIdIncrement;

    /** 应用id列表 */
    private List <Long> appIdList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SstAppsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SstAppsQuery> andConditionList;

    public SstAppsQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 应用名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 应用名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 应用描述
    * @return describeList
    */
    public List<String> getDescribeList(){
        return this.describeList;
    }

    /**
    * 设置 应用描述
    * @param describeList
    */
    public void setDescribeList(List<String> describeList){
        this.describeList = describeList;
    }
    /**
    * 获取 应用访问地址
    * @return urlList
    */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
    * 设置 应用访问地址
    * @param urlList
    */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }
    /**
    * 获取 开始 是否展示基础应用1是0否
    * @return showBasicStart
    */
    public Integer getShowBasicStart(){
        return this.showBasicStart;
    }

    /**
    * 设置 开始 是否展示基础应用1是0否
    * @param showBasicStart
    */
    public void setShowBasicStart(Integer showBasicStart){
        this.showBasicStart = showBasicStart;
    }

    /**
    * 获取 结束 是否展示基础应用1是0否
    * @return $showBasicEnd
    */
    public Integer getShowBasicEnd(){
        return this.showBasicEnd;
    }

    /**
    * 设置 结束 是否展示基础应用1是0否
    * @param showBasicEnd
    */
    public void setShowBasicEnd(Integer showBasicEnd){
        this.showBasicEnd = showBasicEnd;
    }

    /**
    * 获取 增加 是否展示基础应用1是0否
    * @return showBasicIncrement
    */
    public Integer getShowBasicIncrement(){
        return this.showBasicIncrement;
    }

    /**
    * 设置 增加 是否展示基础应用1是0否
    * @param showBasicIncrement
    */
    public void setShowBasicIncrement(Integer showBasicIncrement){
        this.showBasicIncrement = showBasicIncrement;
    }

    /**
    * 获取 是否展示基础应用1是0否
    * @return showBasicList
    */
    public List<Integer> getShowBasicList(){
        return this.showBasicList;
    }

    /**
    * 设置 是否展示基础应用1是0否
    * @param showBasicList
    */
    public void setShowBasicList(List<Integer> showBasicList){
        this.showBasicList = showBasicList;
    }

    /**
    * 获取 开始 基础应用排序号
    * @return basicSortStart
    */
    public Integer getBasicSortStart(){
        return this.basicSortStart;
    }

    /**
    * 设置 开始 基础应用排序号
    * @param basicSortStart
    */
    public void setBasicSortStart(Integer basicSortStart){
        this.basicSortStart = basicSortStart;
    }

    /**
    * 获取 结束 基础应用排序号
    * @return $basicSortEnd
    */
    public Integer getBasicSortEnd(){
        return this.basicSortEnd;
    }

    /**
    * 设置 结束 基础应用排序号
    * @param basicSortEnd
    */
    public void setBasicSortEnd(Integer basicSortEnd){
        this.basicSortEnd = basicSortEnd;
    }

    /**
    * 获取 增加 基础应用排序号
    * @return basicSortIncrement
    */
    public Integer getBasicSortIncrement(){
        return this.basicSortIncrement;
    }

    /**
    * 设置 增加 基础应用排序号
    * @param basicSortIncrement
    */
    public void setBasicSortIncrement(Integer basicSortIncrement){
        this.basicSortIncrement = basicSortIncrement;
    }

    /**
    * 获取 基础应用排序号
    * @return basicSortList
    */
    public List<Integer> getBasicSortList(){
        return this.basicSortList;
    }

    /**
    * 设置 基础应用排序号
    * @param basicSortList
    */
    public void setBasicSortList(List<Integer> basicSortList){
        this.basicSortList = basicSortList;
    }

    /**
    * 获取 开始 是否展示热门应用1是0否
    * @return showHotStart
    */
    public Integer getShowHotStart(){
        return this.showHotStart;
    }

    /**
    * 设置 开始 是否展示热门应用1是0否
    * @param showHotStart
    */
    public void setShowHotStart(Integer showHotStart){
        this.showHotStart = showHotStart;
    }

    /**
    * 获取 结束 是否展示热门应用1是0否
    * @return $showHotEnd
    */
    public Integer getShowHotEnd(){
        return this.showHotEnd;
    }

    /**
    * 设置 结束 是否展示热门应用1是0否
    * @param showHotEnd
    */
    public void setShowHotEnd(Integer showHotEnd){
        this.showHotEnd = showHotEnd;
    }

    /**
    * 获取 增加 是否展示热门应用1是0否
    * @return showHotIncrement
    */
    public Integer getShowHotIncrement(){
        return this.showHotIncrement;
    }

    /**
    * 设置 增加 是否展示热门应用1是0否
    * @param showHotIncrement
    */
    public void setShowHotIncrement(Integer showHotIncrement){
        this.showHotIncrement = showHotIncrement;
    }

    /**
    * 获取 是否展示热门应用1是0否
    * @return showHotList
    */
    public List<Integer> getShowHotList(){
        return this.showHotList;
    }

    /**
    * 设置 是否展示热门应用1是0否
    * @param showHotList
    */
    public void setShowHotList(List<Integer> showHotList){
        this.showHotList = showHotList;
    }

    /**
    * 获取 开始 热门应用排序号
    * @return hotSortStart
    */
    public Integer getHotSortStart(){
        return this.hotSortStart;
    }

    /**
    * 设置 开始 热门应用排序号
    * @param hotSortStart
    */
    public void setHotSortStart(Integer hotSortStart){
        this.hotSortStart = hotSortStart;
    }

    /**
    * 获取 结束 热门应用排序号
    * @return $hotSortEnd
    */
    public Integer getHotSortEnd(){
        return this.hotSortEnd;
    }

    /**
    * 设置 结束 热门应用排序号
    * @param hotSortEnd
    */
    public void setHotSortEnd(Integer hotSortEnd){
        this.hotSortEnd = hotSortEnd;
    }

    /**
    * 获取 增加 热门应用排序号
    * @return hotSortIncrement
    */
    public Integer getHotSortIncrement(){
        return this.hotSortIncrement;
    }

    /**
    * 设置 增加 热门应用排序号
    * @param hotSortIncrement
    */
    public void setHotSortIncrement(Integer hotSortIncrement){
        this.hotSortIncrement = hotSortIncrement;
    }

    /**
    * 获取 热门应用排序号
    * @return hotSortList
    */
    public List<Integer> getHotSortList(){
        return this.hotSortList;
    }

    /**
    * 设置 热门应用排序号
    * @param hotSortList
    */
    public void setHotSortList(List<Integer> hotSortList){
        this.hotSortList = hotSortList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 应用id
    * @return appIdStart
    */
    public Long getAppIdStart(){
        return this.appIdStart;
    }

    /**
    * 设置 开始 应用id
    * @param appIdStart
    */
    public void setAppIdStart(Long appIdStart){
        this.appIdStart = appIdStart;
    }

    /**
    * 获取 结束 应用id
    * @return $appIdEnd
    */
    public Long getAppIdEnd(){
        return this.appIdEnd;
    }

    /**
    * 设置 结束 应用id
    * @param appIdEnd
    */
    public void setAppIdEnd(Long appIdEnd){
        this.appIdEnd = appIdEnd;
    }

    /**
    * 获取 增加 应用id
    * @return appIdIncrement
    */
    public Long getAppIdIncrement(){
        return this.appIdIncrement;
    }

    /**
    * 设置 增加 应用id
    * @param appIdIncrement
    */
    public void setAppIdIncrement(Long appIdIncrement){
        this.appIdIncrement = appIdIncrement;
    }

    /**
    * 获取 应用id
    * @return appIdList
    */
    public List<Long> getAppIdList(){
        return this.appIdList;
    }

    /**
    * 设置 应用id
    * @param appIdList
    */
    public void setAppIdList(List<Long> appIdList){
        this.appIdList = appIdList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SstAppsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SstAppsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SstAppsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SstAppsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SstAppsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  站点id
    * @param siteId
    */
    public SstAppsQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点id
    * @param siteIdStart
    */
    public SstAppsQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点id
    * @param siteIdEnd
    */
    public SstAppsQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点id
    * @param siteIdIncrement
    */
    public SstAppsQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点id
    * @param siteIdList
    */
    public SstAppsQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 应用名称
    * @param name
    */
    public SstAppsQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 应用名称
    * @param nameList
    */
    public SstAppsQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 应用描述
    * @param describe
    */
    public SstAppsQuery describe(String describe){
        setDescribe(describe);
		return this;
    }

    /**
    * 设置 应用描述
    * @param describeList
    */
    public SstAppsQuery describeList(List<String> describeList){
        this.describeList = describeList;
		return this;
    }


	/**
    * 设置 应用访问地址
    * @param url
    */
    public SstAppsQuery url(String url){
        setUrl(url);
		return this;
    }

    /**
    * 设置 应用访问地址
    * @param urlList
    */
    public SstAppsQuery urlList(List<String> urlList){
        this.urlList = urlList;
		return this;
    }

    /**
    * 设置  是否展示基础应用1是0否
    * @param showBasic
    */
    public SstAppsQuery showBasic(Integer showBasic){
	    setShowBasic(showBasic);
		return this;
    }
	
	 /**
    * 设置 开始 是否展示基础应用1是0否
    * @param showBasicStart
    */
    public SstAppsQuery showBasicStart(Integer showBasicStart){
		this.showBasicStart = showBasicStart;
		return this;
    }

    /**
    * 设置 结束 是否展示基础应用1是0否
    * @param showBasicEnd
    */
    public SstAppsQuery showBasicEnd(Integer showBasicEnd){
		this.showBasicEnd = showBasicEnd;
		return this;
    }

    /**
    * 设置 增加 是否展示基础应用1是0否
    * @param showBasicIncrement
    */
    public SstAppsQuery showBasicIncrement(Integer showBasicIncrement){
		this.showBasicIncrement = showBasicIncrement;
		return this;
    }

    /**
    * 设置 是否展示基础应用1是0否
    * @param showBasicList
    */
    public SstAppsQuery showBasicList(List<Integer> showBasicList){
        this.showBasicList = showBasicList;
		return this;
        }

    /**
    * 设置  基础应用排序号
    * @param basicSort
    */
    public SstAppsQuery basicSort(Integer basicSort){
	    setBasicSort(basicSort);
		return this;
    }
	
	 /**
    * 设置 开始 基础应用排序号
    * @param basicSortStart
    */
    public SstAppsQuery basicSortStart(Integer basicSortStart){
		this.basicSortStart = basicSortStart;
		return this;
    }

    /**
    * 设置 结束 基础应用排序号
    * @param basicSortEnd
    */
    public SstAppsQuery basicSortEnd(Integer basicSortEnd){
		this.basicSortEnd = basicSortEnd;
		return this;
    }

    /**
    * 设置 增加 基础应用排序号
    * @param basicSortIncrement
    */
    public SstAppsQuery basicSortIncrement(Integer basicSortIncrement){
		this.basicSortIncrement = basicSortIncrement;
		return this;
    }

    /**
    * 设置 基础应用排序号
    * @param basicSortList
    */
    public SstAppsQuery basicSortList(List<Integer> basicSortList){
        this.basicSortList = basicSortList;
		return this;
        }

    /**
    * 设置  是否展示热门应用1是0否
    * @param showHot
    */
    public SstAppsQuery showHot(Integer showHot){
	    setShowHot(showHot);
		return this;
    }
	
	 /**
    * 设置 开始 是否展示热门应用1是0否
    * @param showHotStart
    */
    public SstAppsQuery showHotStart(Integer showHotStart){
		this.showHotStart = showHotStart;
		return this;
    }

    /**
    * 设置 结束 是否展示热门应用1是0否
    * @param showHotEnd
    */
    public SstAppsQuery showHotEnd(Integer showHotEnd){
		this.showHotEnd = showHotEnd;
		return this;
    }

    /**
    * 设置 增加 是否展示热门应用1是0否
    * @param showHotIncrement
    */
    public SstAppsQuery showHotIncrement(Integer showHotIncrement){
		this.showHotIncrement = showHotIncrement;
		return this;
    }

    /**
    * 设置 是否展示热门应用1是0否
    * @param showHotList
    */
    public SstAppsQuery showHotList(List<Integer> showHotList){
        this.showHotList = showHotList;
		return this;
        }

    /**
    * 设置  热门应用排序号
    * @param hotSort
    */
    public SstAppsQuery hotSort(Integer hotSort){
	    setHotSort(hotSort);
		return this;
    }
	
	 /**
    * 设置 开始 热门应用排序号
    * @param hotSortStart
    */
    public SstAppsQuery hotSortStart(Integer hotSortStart){
		this.hotSortStart = hotSortStart;
		return this;
    }

    /**
    * 设置 结束 热门应用排序号
    * @param hotSortEnd
    */
    public SstAppsQuery hotSortEnd(Integer hotSortEnd){
		this.hotSortEnd = hotSortEnd;
		return this;
    }

    /**
    * 设置 增加 热门应用排序号
    * @param hotSortIncrement
    */
    public SstAppsQuery hotSortIncrement(Integer hotSortIncrement){
		this.hotSortIncrement = hotSortIncrement;
		return this;
    }

    /**
    * 设置 热门应用排序号
    * @param hotSortList
    */
    public SstAppsQuery hotSortList(List<Integer> hotSortList){
        this.hotSortList = hotSortList;
		return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SstAppsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SstAppsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SstAppsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SstAppsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SstAppsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public SstAppsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public SstAppsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public SstAppsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public SstAppsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public SstAppsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


    /**
    * 设置  应用id
    * @param appId
    */
    public SstAppsQuery appId(Long appId){
	    setAppId(appId);
		return this;
    }
	
	 /**
    * 设置 开始 应用id
    * @param appIdStart
    */
    public SstAppsQuery appIdStart(Long appIdStart){
		this.appIdStart = appIdStart;
		return this;
    }

    /**
    * 设置 结束 应用id
    * @param appIdEnd
    */
    public SstAppsQuery appIdEnd(Long appIdEnd){
		this.appIdEnd = appIdEnd;
		return this;
    }

    /**
    * 设置 增加 应用id
    * @param appIdIncrement
    */
    public SstAppsQuery appIdIncrement(Long appIdIncrement){
		this.appIdIncrement = appIdIncrement;
		return this;
    }

    /**
    * 设置 应用id
    * @param appIdList
    */
    public SstAppsQuery appIdList(List<Long> appIdList){
        this.appIdList = appIdList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SstAppsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SstAppsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SstAppsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SstAppsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}