package com.mortals.xhx.module.sst.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.sst.model.SstBasicEntity;
/**
* SstBasicService
*
* 基础配置 service接口
*
* @author zxfei
* @date 2022-12-21
*/
public interface SstBasicService extends ICRUDService<SstBasicEntity,Long>{

    /**
     * 查询站点基础配置
     * @param siteId
     * @return
     */
    SstBasicEntity getBasicBySiteId(Long siteId) throws AppException;

    /**
     * 保存基础设置
     * @param basicEntity
     * @throws AppException
     */
    void settingSave(SstBasicEntity basicEntity, Context context) throws AppException;
}