package com.mortals.xhx.module.apps.web;
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.AppsClassifyEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.apps.model.AppsInfoEntity;
import com.mortals.xhx.module.apps.service.AppsInfoService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 应用信息
*
* @author zxfei
* @date 2022-12-26
*/
@RestController
@RequestMapping("apps/info")
public class AppsInfoController extends BaseCRUDJsonBodyMappingController<AppsInfoService,AppsInfoEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AppsInfoController(){
        super.setModuleDesc( "应用信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "classify", IBaseEnum.getEnumMap(AppsClassifyEnum.class));
        super.init(model, context);
    }


}