package com.mortals.xhx.module.sst.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sst.model.vo.SstSkinVo;
/**
* 皮肤配置实体对象
*
* @author zxfei
* @date 2022-12-26
*/

public class SstSkinEntity extends SstSkinVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 皮肤名称
    */
    private String skinName;
    /**
    * 皮肤编码
    */
    private String skinCode;



    public SstSkinEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 皮肤名称
    * @return String
    */
    public String getSkinName(){
        return skinName;
    }
    /**
    * 设置 皮肤名称
    * @param skinName
    */
    public void setSkinName(String skinName){
        this.skinName = skinName;
    }
    /**
    * 获取 皮肤编码
    * @return String
    */
    public String getSkinCode(){
        return skinCode;
    }
    /**
    * 设置 皮肤编码
    * @param skinCode
    */
    public void setSkinCode(String skinCode){
        this.skinCode = skinCode;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SstSkinEntity) {
            SstSkinEntity tmp = (SstSkinEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",skinName:").append(getSkinName());
        sb.append(",skinCode:").append(getSkinCode());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.skinName = "";

            this.skinCode = "";
    }
}