package com.mortals.xhx.module.sst.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.sst.model.SstAppsEntity;
import com.mortals.xhx.module.sst.service.SstAppsService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 应用编排
*
* @author zxfei
* @date 2022-12-21
*/
@RestController
@RequestMapping("apps")
public class SstAppsController extends BaseCRUDJsonBodyMappingController<SstAppsService,SstAppsEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SstAppsController(){
        super.setModuleDesc( "应用编排");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "showBasic", paramService.getParamBySecondOrganize("SstApps","showBasic"));
        this.addDict(model, "showHot", paramService.getParamBySecondOrganize("SstApps","showHot"));
        super.init(model, context);
    }


}